import CoEuiChip from '../../../components/14x/eui-chip.js'
import EuiBasePage from './eui-base.po.js'

export default class EuiChipPage extends EuiBasePage {

  constructor() {
      super();
  }
  chipByIndex(index) {
    return new CoEuiChip(this.mainContent).byIndex(index);
  }
  chipByTextContains(text) {
    return new CoEuiChip(this.mainContent).byTextContains(text);
  }
  chipByTextEqualsAndIndex(text, index, normalize=true) {
    return new CoEuiChip(this.mainContent).byTextEqualsAndIndex(text, index, normalize);
  }
  chipFromSectionById(id) {
    return new CoEuiChip(this.sectionById(id));
  }
  chipFromSectionWithIdByIndex(id, index) {
    return new CoEuiChip(this.sectionById(id)).byIndex(index);
  }
}


